---
title: Monitor Group Details
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[Load Balancers](https://developers.cloudflare.com/api/go/resources/load_balancers)

[Monitor Groups](https://developers.cloudflare.com/api/go/resources/load_balancers/subresources/monitor_groups)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Monitor Group Details

client.LoadBalancers.MonitorGroups.Get(ctx, monitorGroupID, query) (\*[MonitorGroup](<https://developers.cloudflare.com/api/go/resources/load_balancers#(resource)%20load_balancers.monitor_groups%20%3E%20(model)%20monitor_group%20%3E%20(schema)>), error)

GET/accounts/{account\_id}/load\_balancers/monitor\_groups/{monitor\_group\_id}

Fetch a single configured monitor group.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### ParametersExpand Collapse

monitorGroupID string

[Link to this property](<#(resource)%20load_balancers.monitor_groups%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20monitor_group_id%20%3E%20(schema)>)

<details>

<summary>

query MonitorGroupGetParams

</summary>

AccountID param.Field\[string]

Identifier.

maxLength32

<a href="#(resource)%20load_balancers.monitor_groups%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20account_id">Link to this property</a>

</details>

[Link to this property](<#(resource)%20load_balancers.monitor_groups%20%3E%20(method)%20get%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

type MonitorGroup struct{…}

</summary>

ID string

The ID of the Monitor Group to use for checking the health of origins within this pool.

<a href="#(resource)%20load_balancers.monitor_groups%20%3E%20(model)%20monitor_group%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

Description string

A short description of the monitor group

<a href="#(resource)%20load_balancers.monitor_groups%20%3E%20(model)%20monitor_group%20%3E%20(schema)%20%3E%20(property)%20description">Link to this property</a>

<details>

<summary>

Members \[]MonitorGroupMember

List of monitors in this group

</summary>

Enabled bool

Whether this monitor is enabled in the group

<a href="#(resource)%20load_balancers.monitor_groups%20%3E%20(model)%20monitor_group%20%3E%20(schema)%20%3E%20(property)%20members%20%3E%20(items)%20%3E%20(property)%20enabled">Link to this property</a>

MonitorID string

The ID of the Monitor to use for checking the health of origins within this pool.

<a href="#(resource)%20load_balancers.monitor_groups%20%3E%20(model)%20monitor_group%20%3E%20(schema)%20%3E%20(property)%20members%20%3E%20(items)%20%3E%20(property)%20monitor_id">Link to this property</a>

MonitoringOnly bool

Whether this monitor is used for monitoring only (does not affect pool health)

<a href="#(resource)%20load_balancers.monitor_groups%20%3E%20(model)%20monitor_group%20%3E%20(schema)%20%3E%20(property)%20members%20%3E%20(items)%20%3E%20(property)%20monitoring_only">Link to this property</a>

MustBeHealthy bool

Whether this monitor must be healthy for the pool to be considered healthy

<a href="#(resource)%20load_balancers.monitor_groups%20%3E%20(model)%20monitor_group%20%3E%20(schema)%20%3E%20(property)%20members%20%3E%20(items)%20%3E%20(property)%20must_be_healthy">Link to this property</a>

CreatedAt TimeOptional

The timestamp of when the monitor was added to the group

formatdate-time

<a href="#(resource)%20load_balancers.monitor_groups%20%3E%20(model)%20monitor_group%20%3E%20(schema)%20%3E%20(property)%20members%20%3E%20(items)%20%3E%20(property)%20created_at">Link to this property</a>

UpdatedAt TimeOptional

The timestamp of when the monitor group member was last updated

formatdate-time

<a href="#(resource)%20load_balancers.monitor_groups%20%3E%20(model)%20monitor_group%20%3E%20(schema)%20%3E%20(property)%20members%20%3E%20(items)%20%3E%20(property)%20updated_at">Link to this property</a>

</details>

<a href="#(resource)%20load_balancers.monitor_groups%20%3E%20(model)%20monitor_group%20%3E%20(schema)%20%3E%20(property)%20members">Link to this property</a>

CreatedOn TimeOptional

The timestamp of when the monitor group was created

formatdate-time

<a href="#(resource)%20load_balancers.monitor_groups%20%3E%20(model)%20monitor_group%20%3E%20(schema)%20%3E%20(property)%20created_on">Link to this property</a>

ModifiedOn TimeOptional

The timestamp of when the monitor group was last updated

formatdate-time

<a href="#(resource)%20load_balancers.monitor_groups%20%3E%20(model)%20monitor_group%20%3E%20(schema)%20%3E%20(property)%20modified_on">Link to this property</a>

</details>

[Link to this property](<#(resource)%20load_balancers.monitor_groups%20%3E%20(model)%20monitor_group%20%3E%20(schema)>)

### Monitor Group Details

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/load_balancers"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  monitorGroup, err := client.LoadBalancers.MonitorGroups.Get(
    context.TODO(),
    "17b5962d775c646f3f9725cbc7a53df4",
    load_balancers.MonitorGroupGetParams{
      AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", monitorGroup.ID)
}
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "id",
    "description": "Primary datacenter monitors",
    "members": [
      {
        "enabled": true,
        "monitor_id": "monitor_id",
        "monitoring_only": false,
        "must_be_healthy": true,
        "created_at": "2014-01-01T05:20:00.12345Z",
        "updated_at": "2014-01-01T05:20:00.12345Z"
      }
    ],
    "created_on": "2014-01-01T05:20:00.12345Z",
    "modified_on": "2014-01-01T05:20:00.12345Z"
  },
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "id",
    "description": "Primary datacenter monitors",
    "members": [
      {
        "enabled": true,
        "monitor_id": "monitor_id",
        "monitoring_only": false,
        "must_be_healthy": true,
        "created_at": "2014-01-01T05:20:00.12345Z",
        "updated_at": "2014-01-01T05:20:00.12345Z"
      }
    ],
    "created_on": "2014-01-01T05:20:00.12345Z",
    "modified_on": "2014-01-01T05:20:00.12345Z"
  },
  "success": true
}
```